# Motorized Fader

## Description

Program for the ATtiny13A that controls a motorized fader by moving into a 
saved position read out of EEPROM memory.

## Requirements

**Hadware:**

- ATtiny13A/ATtiny45/ATtiny85.
- usbasp programmer.
- UNIX computer(to use the scripts for automation).

**Software:**

- avr-gcc
- avrdude(<=7.0)
- CMAKE(<= 3.20)

## Instructions

### Building Hex Files

Builds the binary hex files. They are located in the `build/src/` directory
found in the project root.

```sh
cd ./<PROJECTNAME>
echo "2" | ./otto.sh

```

### Automated Flashing Hex Files

Builds then flashes the binary hex files onto the micro-controller

```sh
cd ./<PROJECTNAME>
echo "4" | ./otto.sh

```

### Running Tests

The code below will run the cpputest tests in verbose and color mode.

```sh
cd ./<PROJECTNAME>
echo "1" | ./otto.sh

```
